#!/bin/bash

dirname=$(dirname $0)

if [ "$1" = "" ]
then 
 exit 1
fi

path=$2
if [ "$path" = "" ]
then 
 path="/"
fi

host=$1

  # try finding OFED Include directory, OFED libraries and OFED Kernel includes 
  
      pathnames=$(ssh -qq -oStrictHostKeyChecking=no ${host} "find ${path} -type d -name infiniband | xargs -I p find p -name verbs.h | sed 's!infiniband/verbs.h!!g'")
      echo $pathnames
      pathnames=$(ssh -qq -oStrictHostKeyChecking=no ${host} "find ${path} -name libibverbs.so | sed 's!libibverbs.so!!g'")
      echo $pathnames
 
      pathnames=$(ssh -qq -oStrictHostKeyChecking=no ${host} "find ${path} -type d -name rdma | xargs -I p find p -name ib_verbs.h | sed 's!rdma/ib_verbs.h!!g'")
      echo $pathnames
